input, a, .form-control, .form-select, .btn {
  box-shadow: none !important;
}


.dataTables_paginate .page-link {
  padding: 0.3rem .75rem !important;
  font-size: 12px;
}

div.dataTables_wrapper div.dataTables_filter input {
  font-size: 14px;
}

#tableur-fiches_info{
  padding-right: 10px;
  font-weight: 600;
  max-width: 600px;
  white-space: normal;
}

#tableur-vestiges_info{
  padding-right: 10px;
  max-width: 600px;
  white-space: normal;
}

div.dataTables_wrapper div.dataTables_length select {

}

.bg-danger {
  background: rgba(220, 53, 69, 0.3) !important;
}

.td-verifie {
  background: no-repeat 50% 15px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-check2' viewBox='0 0 16 16'%3E%3Cpath d='M13.854 3.646a.5.5 0 0 1 0 .708l-7 7a.5.5 0 0 1-.708 0l-3.5-3.5a.5.5 0 1 1 .708-.708L6.5 10.293l6.646-6.647a.5.5 0 0 1 .708 0'/%3E%3C/svg%3E");
}

.td-a-verifier {
  background: no-repeat 50% 15px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-exclamation-triangle' viewBox='0 0 16 16'%3E%3Cpath d='M7.938 2.016A.13.13 0 0 1 8.002 2a.13.13 0 0 1 .063.016.15.15 0 0 1 .054.057l6.857 11.667c.036.06.035.124.002.183a.2.2 0 0 1-.054.06.1.1 0 0 1-.066.017H1.146a.1.1 0 0 1-.066-.017.2.2 0 0 1-.054-.06.18.18 0 0 1 .002-.183L7.884 2.073a.15.15 0 0 1 .054-.057m1.044-.45a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767z'/%3E%3Cpath d='M7.002 12a1 1 0 1 1 2 0 1 1 0 0 1-2 0M7.1 5.995a.905.905 0 1 1 1.8 0l-.35 3.507a.552.552 0 0 1-1.1 0z'/%3E%3C/svg%3E");
}

.numerotation {
  position: absolute;
  top: 0;
  left: 0;
  width: 30px;
  margin-left: -41px;
  text-align: right;
  font-size: 12px;
  color: #ccc !important;
  margin-top: 0;
}

.erreur {
  border: 3px solid orange !important;
  background: no-repeat 5px 85%;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-exclamation-triangle' viewBox='0 0 16 16'%3E%3Cpath fill='orange' d='M7.938 2.016A.13.13 0 0 1 8.002 2a.13.13 0 0 1 .063.016.15.15 0 0 1 .054.057l6.857 11.667c.036.06.035.124.002.183a.2.2 0 0 1-.054.06.1.1 0 0 1-.066.017H1.146a.1.1 0 0 1-.066-.017.2.2 0 0 1-.054-.06.18.18 0 0 1 .002-.183L7.884 2.073a.15.15 0 0 1 .054-.057m1.044-.45a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767z'/%3E%3Cpath d='M7.002 12a1 1 0 1 1 2 0 1 1 0 0 1-2 0M7.1 5.995a.905.905 0 1 1 1.8 0l-.35 3.507a.552.552 0 0 1-1.1 0z'/%3E%3C/svg%3E");
}

.btn-vestige {
  background: #fff !important;
  color: #d20a11;
  border: 1px solid #d20b12;
  font-size: 11px !important;
}

.btn-vestige:hover {
  background: #e26064 !important;
  color: #fff;
}

.bg-info-type {
  background: #f8d9da00;
  color: #e67478 ;
  font-size: 12px;
  border: 1px solid #f4c2c3;
  border-style: none;
  top: 0;
  right: 1px ;
  padding: 2px 5px 6px 5px ;
  line-height: 1;
  border-radius: 0;
  z-index: 2;
}

.bg-info-type:hover {
  color: #e67478;  
  text-decoration: underline;
}


.openseadragon-canvas::after {
  display: none;
}

.chargement:before {
  content: 'chargement...';
  color: #FFF;
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 1;
  transform: translate(-50%,-50%);
  opacity: 0.5;
  background: #d20a11bb;
  border-radius: 3px;
  line-height: 2;
  padding: 5px 29px;
}


.chargee:before {
  display: none;
}

.loader::after,
.loader::before {
  content: '';  
  box-sizing: border-box;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background: #FFF;
  position: absolute;
  left: 50%;
  top:50%;
  margin-left: -24px;
  margin-top: -24px;
  animation: animloader 2s linear infinite;
  z-index: 1;
}

.loader::after {
  animation-delay: 1s;
}

@keyframes animloader {
  0% {
    transform: scale(0);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 0;
  }
}
    
/*.btn-fermer-visio::after {
  content: "fermer la visionneuse";
  color: white;
  white-space: nowrap;
  left: -12px;
  padding: 7px 15px;
  padding-left: 15px;
  top: -3px;
  position: relative;
  border: 1px solid white;
  border-radius: 3px;
  padding-left: 39px;  
}*/

.btn-fermer-visio {
  margin: 0 auto 10px;
  opacity: 1;
  top: 0;
  position: absolute;
  border: 2px solid #000;
    border-top-width: 2px;
    border-top-style: solid;
    border-top-color: rgb(0, 0, 0);
  padding: 5px 20px 8px 10px;
  border-radius: 0 0 0 8px;
  right: 0;
}



/* Conteneur principal */
.bloc-carte-fouille {
  perspective: 1000px; /* Ajoute une perspective pour l'effet 3D */
  width: 200px;
  height: 300px;
}

/* La carte avec deux faces */
.carte-fouille {
  width: 100%;
  height: 100%;
  position: relative;
  transform-style: preserve-3d; /* Permet d'afficher les deux faces */
  transition: transform 0.6s ease-in-out; /* Animation fluide */
  z-index: 1;
}

/* Face avant et arrière de la carte */
.carte-recto, .carte-verso {
  width: 100%;
  height: 100%;
  position: absolute;
  backface-visibility: hidden; /* Cache la face arrière */
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  border-radius: 0;
}

/* Face avant */
.carte-recto {
}

/* Face arrière */
.carte-verso {
  transform: rotateY(180deg); /* Position initiale de la face arrière */
  border: 0 none #333;
  cursor: pointer;
}

/* Effet de retournement au survol */
.bloc-carte-source:hover .carte-source {
  /*transform: rotateY(180deg);*/
}

.carte-source {
  --largeur-carte: 400px;
  width: var(--largeur-carte); 
  max-width: var(--largeur-carte);
}

.bloc-image-papier {
  width: calc(var(--largeur-carte) - 20px); 
  height: 190px; 
  overflow: hidden; 
  background: rgb(48, 44, 37); 
  opacity: 0.8; 
  cursor: pointer;
}

.image-papier {
  height: 190px; 
}

.transcription-papier {
  width: calc(var(--largeur-carte) - 20px); 
}

.carte-fouille.tourner {
  transform: rotateY(180deg);
  z-index: 10;
}

.bloc-donnees-verso {
  height: 285px;
  padding: 9px 8px;
  font-size: 13px;
  background: white;
  width: 100%;
  margin: 0 6px;
}


.donnees-verso {
  font-size: 13px;
}

.btn-chrono:hover {
  background: #333 !important;
  opacity: 1 !important;
}

.tooltip .tooltip-inner {
  background: #000 !important;
}

.bulle-chrono .tooltip-inner {
  text-align: left;
}

.donnees-intro {
  border-bottom: 1px dotted #000;
}

.bloc-vignettes-iso-2 {
  margin-bottom: 0.7rem; 
  margin-right: -43px;
}


.vignettes-iso-2 {
  transform: skew(0deg,20deg) rotateY(45deg); 
}

.vignette-iso-2 {
  border: 1px solid #999;
  border-image: linear-gradient(rgba(0,0,0,0.5), #0006, #9999) 20; 
  /*box-shadow: 4px -4px 4px -4px rgba(0, 0, 0, 0.4);*/
}

.texte-edition-docx p {
  margin-bottom: 2rem !important;
}

/**********************/


.btn-vestige-gris:hover {
  background-color: var(--bs-warning-bg-subtle) !important;
}

.pagination-corpus .active > .page-link, 
.pagination-corpus .page-link.active {
  color: var(--bs-white);
  background-color: var(--bs-dark);
  border-color: var(--bs-dark);
}

.pagination-corpus .page-link {
  color: var(--bs-dark);
  box-shadow: none;
}

#tableur-vestiges_filter {
  text-align: left !important;
}

#tableur-vestiges_info {
  font-size: 1.9rem;
  font-family: graphiklight;
}


.par-vestige {
  max-width: 1320px;
  margin: 0 auto;
  margin-top: 0px;
  background: white;
  margin-bottom: 3rem;
  border: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
  border-top: none;
  padding-top: 1.4rem !important;
}
/*
.par-vestige .carte-source {
  width: 200px !important;
  max-width: 200px !important;  
}
*/
.par-vestige .btn-vestiges {
  display: none !important;
}
/*
.par-vestige .bloc-image-papier {
  width: 190px !important;
  height: 95px !important;
  border: none !important;  
}

.par-vestige .bloc-image-papier .image-papier {
  height: 95px !important;  
}
.par-vestige .transcription-papier {
  display: none !important;  
}
*/
#tableur-fiches_wrapper {
  margin-top: 0;
}

.btn.sorting {
  position: relative;
  padding-right: 20px;;
}

.btn.sorting::before {
  right: 0.7em;
  content: "\2191";
  position: absolute;
  bottom: 0.3em;
  display: block;
  opacity: 0.3;
}

.btn.sorting_asc::before {
  opacity: 1;
}

.btn.sorting::after {
  right: 0.3em;
  content: "\2193";
  position: absolute;
  bottom: 0.3em;
  display: block;
  opacity: 0.6;
}

.btn.sorting_desc,
.btn.sorting_asc {
  --bs-btn-border-color: #0d6efd;
  --bs-btn-color: #0d6efd;
}

.btn.sorting_desc::after {
  opacity: 1;
}

.numerisation#visio {
  bottom: 20px !important;
}

.btn-menu-vestiges-texte:hover {
  text-decoration: underline;
}

.paginate_button.next.disabled {
  visibility: hidden;
}

.paginate_button.previous.disabled {
  display: none;
}

.btn-trouvaille {
  /*border-color:
   #e8e8e5 !important;*/
}
.btn-trouvaille:hover {
  border-color: #d90a11 !important;
  background: #d20a11 !important;
  color: white !important;  
  opacity: 1 !important;
}

.souligner-survol-1 {
  text-decoration: none;
  padding-bottom: 1px;
}

.souligner-survol-1:hover {
  box-shadow: 0 2px 0 0 rgba(33,37,41,0.3) !important;
}

.survol-rouge:hover {
  color: #d90a11 !important;
  box-shadow: 0 2px 0 0 #d90a11 !important;
}

.filtre-type {
  width: 159px;
}


.filtre-localisations {
  width: 159px;
}


#modal-carte .modal-body::before {
  content:"chargement...";
  position: absolute;
  top: 50%;
  left: 50%;
  color: #999;
  transform: translate(-50%,-50%)
}

#modal-carte .modal-header {
  position: absolute;
  z-index: 2;
  width: 100%;  
}

#visio-carte {
  z-index: 2;
}

.form-select.text-primary {
  --bs-primary-rgb: 210, 10, 17;
  --bs-form-select-bg-img: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgb(210, 10, 17)' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
}

.form-select option {
  color: black;
}

.form-select option:first-child {
  color: rgb(210, 10, 17) !important;
}

.form-select:focus option:first-child,
.form-select:active option:first-child,
.form-select option:first-child:hover {
  text-transform: uppercase;
  background: #ddd;
  color: rgb(210, 10, 17) !important;
}

.form-control:focus {
  border-color: rgb(241, 176, 178) !important;
}

.critere-fragment {
  padding-right: 4px;
  padding-left: 2px;
  line-height: 1.3;
}

.bloc-paginer .page-link {
  --bs-pagination-color:#d20b11;
  --bs-pagination-focus-color:#d20a11;
}

.bloc-paginer .active .page-link {
  --bs-pagination-active-bg:#d20a11;
  --bs-pagination-active-border-color:#d20a11;
}

.bloc-paginer .page-link:hover {
  --bs-pagination-hover-color:#d20a11;
}

.bloc-paginer .form-control:focus {
  border-color: #e87e81;
}

.text-primary-INHA {
  --bs-primary-rgb: 210, 10, 17;
  --bs-pagination-color: #d20a11;
  --bs-pagination-hover-color: #d20a11;
  --bs-pagination-focus-color: #d20a11;
  --bs-secondary-rgb: #d20a11 !important; 
  --bs-border-opacity: 0.3;
}


.text-primary-subtle-INHA {
  --bs-primary-rgb: 210, 10, 17;
  --bs-pagination-color: #d20a11;
  --bs-pagination-hover-color: #d20a11;
  --bs-pagination-focus-color: #d20a11;
  --bs-secondary-rgb: #d20a11 !important; 
  --bs-border-opacity: 0.3;
  --bs-text-opacity: 0.5;
  color: #000dd !important;
}

.bg-primary-subtle-INHA {
  background-color: #f5c7c899 !important;
  font-size: 11px !important;  
  border-color: #d20a1199 !important;
  color: #d20a11bb !important;
  line-height: 1.45;
}

.taille-typo {
  font-size: 15px !important;
  color: var(--bs-secondary-color);
  line-height: 1.3;;
}

.btn-vue-film-2:hover {
  position: relative;
  z-index: 2;
}

#modal-intro strong {
  font-family: graphikmedium;
  font-weight: normal;
}

.btn.sorting_desc, .btn.sorting_asc {
  --bs-btn-border-color: #6c757d;
  --bs-btn-color: #6c757d;
}

@media (min-width: 1400px) {
  .titre-article-h1.col-xxl-4 {
    width: 66.66%;
  }
}

.note-de-bas-de-page {
  position: relative;
  margin: 0;
  top: -8px;
  font-size: 12px !important;
}